#############################################################################
# Makefile for building: ../../bin/moc
# Generated by qmake (1.02a) on: Thu Jun 27 09:39:45 2002
# Project:  moc.pro
# Template: app
# Command: $(QMAKE) moc.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2  -DQT_MOC -DQT_NO_CODECS -DQT_LITE_UNICODE -DQT_NO_COMPONENT -DQT_NO_STL
CXXFLAGS = -pipe -O2  -DQT_MOC -DQT_NO_CODECS -DQT_LITE_UNICODE -DQT_NO_COMPONENT -DQT_NO_STL
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/include -I../tools -I. -I$(QTDIR)/mkspecs/default
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS)  
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
DEL_DIR  = rmdir
MOVE     = mv

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = 
SOURCES = ../tools/qbuffer.cpp \
		../tools/qptrcollection.cpp \
		../tools/qcstring.cpp \
		../tools/qdatastream.cpp \
		../tools/qdatetime.cpp \
		../tools/qfile.cpp \
		../tools/qgarray.cpp \
		../tools/qgdict.cpp \
		../tools/qglist.cpp \
		../tools/qglobal.cpp \
		../tools/qgvector.cpp \
		../tools/qiodevice.cpp \
		../tools/qregexp.cpp \
		../tools/qstring.cpp \
		../tools/qstringlist.cpp \
		../tools/qtextstream.cpp \
		../tools/qbitarray.cpp \
		../tools/qmap.cpp \
		../tools/qgcache.cpp \
		../codecs/qtextcodec.cpp \
		../codecs/qutfcodec.cpp \
		../tools/qfile_unix.cpp \
		moc_yacc.cpp
OBJECTS = qbuffer.o \
		qptrcollection.o \
		qcstring.o \
		qdatastream.o \
		qdatetime.o \
		qfile.o \
		qgarray.o \
		qgdict.o \
		qglist.o \
		qglobal.o \
		qgvector.o \
		qiodevice.o \
		qregexp.o \
		qstring.o \
		qstringlist.o \
		qtextstream.o \
		qbitarray.o \
		qmap.o \
		qgcache.o \
		qtextcodec.o \
		qutfcodec.o \
		qfile_unix.o \
		moc_yacc.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = 
QMAKE_TARGET = moc
DESTDIR  = ../../bin/
TARGET   = ../../bin/moc

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d ../../bin/ || mkdir -p ../../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: moc.pro  $(QTDIR)/mkspecs/default/qmake.conf 
	$(QMAKE) moc.pro
qmake: 
	@$(QMAKE) moc.pro

dist: 
	@mkdir -p moc && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) moc/ && ( cd `dirname moc` && $(TAR) moc.tar moc && $(GZIP) moc.tar ) && mv `dirname moc`/moc.tar.gz . && rm -rf moc

uiclean:

clean:
	-rm -f $(OBJECTS) 
	-rm -f *~ core *.core


####### Sub-libraries

distclean: clean
	-rm -f ../../bin/$(TARGET) $(TARGET)
	

FORCE:

####### Compile

qbuffer.o: ../tools/qbuffer.cpp $(QTDIR)/include/qbuffer.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qbuffer.o ../tools/qbuffer.cpp

qptrcollection.o: ../tools/qptrcollection.cpp $(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qptrcollection.o ../tools/qptrcollection.cpp

qcstring.o: ../tools/qcstring.cpp $(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qcstring.o ../tools/qcstring.cpp

qdatastream.o: ../tools/qdatastream.cpp $(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qbuffer.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qdatastream.o ../tools/qdatastream.cpp

qdatetime.o: ../tools/qdatetime.cpp $(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qdatetime.o ../tools/qdatetime.cpp

qfile.o: ../tools/qfile.cpp $(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qfile.o ../tools/qfile.cpp

qgarray.o: ../tools/qgarray.cpp $(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgarray.o ../tools/qgarray.cpp

qgdict.o: ../tools/qgdict.cpp $(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgdict.o ../tools/qgdict.cpp

qglist.o: ../tools/qglist.cpp $(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qgvector.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qtextstream.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qglist.o ../tools/qglist.cpp

qglobal.o: ../tools/qglobal.cpp $(QTDIR)/include/qasciidict.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qglobal.o ../tools/qglobal.cpp

qgvector.o: ../tools/qgvector.cpp $(QTDIR)/include/qgvector.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgvector.o ../tools/qgvector.cpp

qiodevice.o: ../tools/qiodevice.cpp $(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qiodevice.o ../tools/qiodevice.cpp

qregexp.o: ../tools/qregexp.cpp $(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qbitarray.h \
		$(QTDIR)/include/qcache.h \
		$(QTDIR)/include/qintdict.h \
		$(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qptrvector.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qgcache.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qpair.h \
		$(QTDIR)/include/qgvector.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qregexp.o ../tools/qregexp.cpp

qstring.o: ../tools/qstring.cpp $(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qtextcodec.h \
		$(QTDIR)/include/qcleanuphandler.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qstring.o ../tools/qstring.cpp

qstringlist.o: ../tools/qstringlist.cpp $(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qstringlist.o ../tools/qstringlist.cpp

qtextstream.o: ../tools/qtextstream.cpp $(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qtextcodec.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qbuffer.h \
		$(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtextstream.o ../tools/qtextstream.cpp

qbitarray.o: ../tools/qbitarray.cpp $(QTDIR)/include/qbitarray.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qbitarray.o ../tools/qbitarray.cpp

qmap.o: ../tools/qmap.cpp $(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qpair.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qtextstream.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmap.o ../tools/qmap.cpp

qgcache.o: ../tools/qgcache.cpp $(QTDIR)/include/qgcache.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qdict.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgcache.o ../tools/qgcache.cpp

qtextcodec.o: ../codecs/qtextcodec.cpp $(QTDIR)/include/qtextcodec.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qtextcodecfactory.h \
		$(QTDIR)/include/qutfcodec.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qrtlcodec.h \
		$(QTDIR)/include/qtsciicodec.h \
		$(QTDIR)/include/qbig5codec.h \
		$(QTDIR)/include/qeucjpcodec.h \
		$(QTDIR)/include/qeuckrcodec.h \
		$(QTDIR)/include/qgb18030codec.h \
		$(QTDIR)/include/qjiscodec.h \
		$(QTDIR)/include/qjpunicode.h \
		$(QTDIR)/include/qsjiscodec.h \
		$(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qtextstream.h \
		$(QTDIR)/include/qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtextcodec.o ../codecs/qtextcodec.cpp

qutfcodec.o: ../codecs/qutfcodec.cpp $(QTDIR)/include/qutfcodec.h \
		$(QTDIR)/include/qtextcodec.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qutfcodec.o ../codecs/qutfcodec.cpp

qfile_unix.o: ../tools/qfile_unix.cpp $(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qfile_unix.o ../tools/qfile_unix.cpp

moc_yacc.o: moc_yacc.cpp moc_yacc.h \
		$(QTDIR)/include/qasciidict.h \
		$(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qdict.h \
		$(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qptrlist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qstrlist.h \
		moc_lex.cpp \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qptrcollection.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qtl.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qtextstream.h \
		./moc_lex.cpp \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qmemarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig-minimal.h \
		$(QTDIR)/include/qconfig-small.h \
		$(QTDIR)/include/qconfig-medium.h \
		$(QTDIR)/include/qconfig-large.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qmodules.h \
		$(QTDIR)/include/qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_yacc.o moc_yacc.cpp

./moc_yacc.cpp: moc.y
	$(YACC) $(YACCFLAGS) moc.y
	-$(DEL_FILE) ./moc_yacc.cpp ./moc_yacc.h
	-$(MOVE) y.tab.h ./moc_yacc.h
	-$(MOVE) y.tab.c ./moc_yacc.cpp

./moc_yacc.h: ./moc_yacc.cpp

./moc_lex.cpp: moc.l 
	$(LEX) $(LEXFLAGS) moc.l
	-$(DEL_FILE) ./moc_lex.cpp 
	-$(MOVE) lex.yy.c ./moc_lex.cpp

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/bin/ || mkdir -p $(INSTALL_ROOT)/bin/
	-$(COPY) "../../bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/bin/$(QMAKE_TARGET)"
uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/bin/"

install: all install_target 

uninstall: uninstall_target 

